import American_president_2024_election from "./Worker";
import {runConcurrentTasks} from "./Worker_thread";
import {Worker} from "node:worker_threads";
//https://blog.logrocket.com/complete-guide-threads-node-js/
(function Main(information) {
    console.info(`${information}`);
    const who = American_president_2024_election;
   // runConcurrentTasks();
    return new Promise((resolve, reject) => {
        const worker = new Worker("./Worker.js")

        // Une fois le worker actif
        worker.on('online', () => {
            console.log('DEBUT : Execution de la tâche intensive en parallèle')
        })

        // Si un message est reçu du worker
        worker.on('message', workerMessage => {
            console.log(workerMessage)
            return resolve
        })

        worker.on('error', reject)
        worker.on('exit', code => {
            if (code !== 0)
                reject(new Error(`Worker stopped with exit code ${code}`))
        })
    });
})("'Main' app. started...");

